Namespace BuisnessLogicLayer

  '----------------------------------------------------------
  '
  ' Channel Interface
  '
  '
  '
  '----------------------------------------------------------

    Interface IChannel

        ReadOnly Property ChannelId() As Integer
        Property PscId() As Integer
        Property Position() As Integer
        Property Delay() As Integer
        Property Ramp() As Integer
        Property Max() As Integer
        Property Min() As Integer
        Property Inverse() As Boolean


        Event PositionChanged As EventHandler
        Event PositionCommand As PositionCommandEventHandler
        Event DelayChanged As EventHandler
        Event RampChanged As EventHandler
        Event MaxChanged As EventHandler
        Event MinChanged As EventHandler
        Event InverseChanged As EventHandler


        Event ChannelChanged As EventHandler

        Sub move()

    End Interface 'IPosition

End Namespace 'BuisnessLogicLayer

